Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Here is some weird error I'm experiencing trying to install Ruby version manager on a server running Ubuntu 12.04: the problem is that when I make some test on my pc, which is Running 12.04 "regular edition" following the official guide (https://rvm.io/rvm/install/) it works smoothly.

But whenever I try to follow the guide to install RVM on a server running Ubuntu 12.04 "Server edition" RVM remains "unsourced" and it is not recognized as a command, even if I manually source the script, it doesn't matter.

I've been fighting with this for almost two days. But the only mention I found to a similar error seems to be related to an already-patched bug on RVM that seemingly shouldn't be bothering anyone at all at the time of posting this question. (rvm: command not found - RVM MultiUser install on Ubuntu 12.04 server on StackOverFlow).

Other guides that promise to get Ruby (and RVM) up and running on your 12.04 machine also fail with this server.

I'm running the amd64 version and the server instance is fresh and has nothing else but git installed.

share|improve this question
add comment

1 Answer 1

up vote 0 down vote accepted

The problem resides on the creation of the user on the server side. The user was created using the terminal and no parameters were used on the creation.

As the thing goes, it leaves the new user using the "sh" shell from POSIX, that is not supported by Ruby Version Manager. Changing the shell to bash solve the issue.

You can do this for an already-created user running this (if you are logged in as the user you want to change the shell to):

sudo chsh -s $( which bash ) $USER

Or you can run this and change the bash for any user:

usermod -s /bin/bash user 

** Thanks mpapis, developer of RVM, for the debugging :)

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.